Subject: Re: bug#14333: 24.3.50; Emacs hangs when trying to exit

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 May 2013 10:10:10 +0300

> Date: Wed, 15 May 2013 23:42:44 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> The code involved in this is not about network _files_, it's about
> network _connections_, like using the url package or Tramp or FTP.  It
> could also be related to the Emacs server and using emacsclient.  So
> maybe trying to shut down the Emacs server manually before exiting
> Emacs might prevent the lockup.

Grepping through Lisp files, it looks like these features are the ones
that use server sockets which could be involved in this issue:

  Emacs server (server.el)
  ERC
  Gnus
  Tramp (unlikely, since it only uses server connections for some rare cases)
  org-irc.el

If you use any of these, they are the potential culprits.